### Virtual Method

# RB Source add_uri

#### Declaration [src]

    void
    add_uri (
      RBSource* source,
      const char* uri,
      const char* title,
      const char* genre,
      RBSourceAddCallback callback,
      gpointer data,
      GDestroyNotify destroy_data
    )

#### Description [src]

Adds an entry corresponding to the URI to the source. The `title` and `genre` parameters are not really used.

#### Parameters

`uri`

  Type: `const char*`

  A URI to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const char*`

  Theoretically, the title of the entity the URI points to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`genre`

  Type: `const char*`

  Theoretically, the genre of the entity the URI points to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`callback`

  Type: `RBSourceAddCallback`

  A callback function to call when complete.

`data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy_data`

  Type: `GDestroyNotify`

  Function to call to destroy the callback data.